<?php
/**
 * 
 * @file article.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once(EIFR_ROOT . 'admin/mod_article/class_article.php');

$url = 'mod_article/article.php';
Common::checkAdminFileAuth($url); //check file authority
$clComArticle = new ComArticle();

$act = kGet('act');
switch ($act) {
    case 'delete_forever':
        $clComArticle -> deleteArticleRecords();
        break;

    case 'setvalue':
        $clComArticle -> setArticleFieldRecords();
        break;

    case 'set_ordernum':
        $clComArticle -> setArticleOrdernumRecords();
        break;

    default :
        $layout = $clComArticle -> get_layout_article();
        require_once(getAdminTemplatePath('article', $url));
        break;
} 

?>
